Bug 1311145 (CVE-2016-2102) - CVE-2016-2102 openstack-tripleo-image-elements: HAProxy statistics are non-authenticated over network
Summary: CVE-2016-2102 openstack-tripleo-image-elements: HAProxy statistics are non-au...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2016-2102
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1311383 1320602 1332373 1332374
Blocks: 1302938
TreeView+ depends on / blocked
 
Reported: 2016-02-23 13:45 UTC by Adam Mariš
Modified: 2019-09-29 13:44 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-03 06:06:30 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-02-23 13:45:48 UTC
It was found that HAProxy statistics are non-authenticated over network.

elements/haproxy/os-apply-config/etc/haproxy/haproxy.cfg:

listen haproxy.stats :{{#stats.port}}{{stats.port}}{{/stats.port}}{{^stats.port}}1993{{/stats.port}}

Comment 3 Tim Suter 2016-05-03 06:03:03 UTC
Created openstack-tripleo-image-elements tracking bugs for this issue:

Affects: fedora-all [bug 1332374]

Comment 4 Tim Suter 2016-05-03 06:06:30 UTC
issue solved in RHOSP current release - trackers filed for opensource projects


Note You need to log in before you can comment on or make changes to this bug.